Name:           libsurl
Version:        0.7.1
Release:        2%{?dist}
Summary:        A library for generating shortened URLs

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://libsurl.sourceforge.net/
Source0:        http://launchpad.net/libsurl/trunk/0.7/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libcurl-devel


%description
libsurl is a library for generating short urls (using various online
services like tinyurl.com and bit.ly) suited to use where space is
limited, such as in status messages.
surl is available as a separate package and the command-line interface
to libsurl, providing most of the functionality in libsurl as well as
additional functionality likely to be of use to command-line users. 


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%bcond_with tests
%if %{with tests}
%check
make check
%endif


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_mandir}/man*/*.*
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Feb 19 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7.1-2
- Removed compression format format from man page and moved to -devel
- Changed group
- Added condition for building with tests
- Description changed

* Mon Jan 04 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7.1-1
- Updated to new upstream version 0.7.1 to fix issue with make

* Mon Jan 04 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7.0-1
- Added man pages
- Updated to new upstream version 0.7.0

* Mon Dec 28 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.0-1
- Updated to new upstream version 0.6.0

* Sat Dec 26 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5.0-1
- Updated to new upstream version 0.5.0

* Fri Dec 25 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4.1-1
- Fixed upstream bug #500213
- Updated to new upstream version 0.4.1

* Thu Dec 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4.0-1
- Initial spec for Fedora
